#!/bin/bash

SECRET_CONFIG_DIR=~/Workspace/MyKubernetesEnv/secret-configuration

NAMESPACE=$(cat namespace)
SECRET=$(cat $SECRET_CONFIG_DIR/whoami-secret)
PROVIDERS_OIDC_CLIENT_SECRET=$(cat $SECRET_CONFIG_DIR/whoami-oidc-secret)

kubectl create namespace $NAMESPACE \
  --dry-run=client \
  -o yaml | \
  kubectl -f - apply

kubectl create secret generic traefik-forward-auth \
  --dry-run=client \
  -o yaml \
  --save-config \
  --from-literal=PROVIDERS_OIDC_CLIENT_SECRET="$PROVIDERS_OIDC_CLIENT_SECRET" \
  --from-literal=SECRET="$SECRET" | \
  kubectl apply -f - -n $NAMESPACE

kubectl -f auth.yml -n $NAMESPACE apply
kubectl -f install.yml -n $NAMESPACE apply

